WinStd Windows Win32 API using Standard C++

Loading...
Searching...
No Matches
Public Member Functions | List of all members
winstd::variant Class Reference
COM Object Management

VARIANT struct wrapper. More...

`#include <WinStd/COM.h>`

Inheritance diagram for winstd::variant:

## Public Member Functions
| variant () noexcept
| Constructs blank VARIANT.
| variant (const VARIANT &varSrc)
| Constructs VARIANT from another.
| variant (VARIANT &&varSrc) noexcept
| Moves VARIANT from another.
| variant (bool bSrc) noexcept
| Constructs VARIANT from bool.
| variant (char cSrc) noexcept
| Constructs VARIANT from character.
| variant (unsigned char nSrc) noexcept
| Constructs VARIANT from byte.
| variant (short nSrc) noexcept
| Constructs VARIANT from short.
| variant (unsigned short nSrc) noexcept
| Constructs VARIANT from unsigned short.
| variant (int nSrc, VARTYPE vtSrc=VT_I4) noexcept
| Constructs VARIANT from integer.
| variant (unsigned int nSrc, VARTYPE vtSrc=VT_UI4) noexcept
| Constructs VARIANT from unsigned integer.
| variant (long nSrc, VARTYPE vtSrc=VT_I4) noexcept
| Constructs VARIANT from long.
| variant (unsigned long nSrc) noexcept
| Constructs VARIANT from unsigned long.
| variant (float fltSrc) noexcept
| Constructs VARIANT from float.
| variant (double dblSrc, VARTYPE vtSrc=VT_R8) noexcept
| Constructs VARIANT from double or variant date.
| variant (long long nSrc) noexcept
| Constructs VARIANT from 64-bit integer.
| variant (unsigned long long nSrc) noexcept
| Constructs VARIANT from unsigned integer.
| variant (CY cySrc) noexcept
| Constructs VARIANT from CY (64-bit integer)
| variant (LPCOLESTR lpszSrc) noexcept
| Constructs VARIANT from OLE string.
| variant (BSTR bstr) noexcept
| Constructs VARIANT from BSTR.
| variant (IDispatch *pSrc)
| Constructs VARIANT from IDispatch.
| variant (IUnknown *pSrc)
| Constructs VARIANT from IUnknown.
| variant (const SAFEARRAY *pSrc)
| Constructs VARIANT from SAFEARRAY.
virtual | ~variant ()
| Destroys VARIANT.
variant & | operator= (const VARIANT &varSrc)
| Copy from another VARIANT.
variant & | operator= (VARIANT &&varSrc) noexcept
| Moves from another VARIANT.
variant & | operator= (bool bSrc) noexcept
| Copy from bool value.
variant & | operator= (char cSrc) noexcept
| Copy from char value.
variant & | operator= (unsigned char nSrc) noexcept
| Copy from unsigned char value.
variant & | operator= (short nSrc) noexcept
| Copy from short value.
variant & | operator= (unsigned short nSrc) noexcept
| Copy from unsigned short value.
variant & | operator= (int nSrc) noexcept
| Copy from int value.
variant & | operator= (unsigned int nSrc) noexcept
| Copy from unsigned int value.
variant & | operator= (long nSrc) noexcept
| Copy from long value.
variant & | operator= (unsigned long nSrc) noexcept
| Copy from unsigned long value.
variant & | operator= (long long nSrc) noexcept
| Copy from long long value.
variant & | operator= (unsigned long long nSrc) noexcept
| Copy from unsigned long long value.
variant & | operator= (float fltSrc) noexcept
| Copy from float value.
variant & | operator= (double dblSrc) noexcept
| Copy from double value.
variant & | operator= (CY cySrc) noexcept
| Copy from CY value.
variant & | operator= (LPCOLESTR lpszSrc) noexcept
| Copy from OLE string value.
variant & | operator= (IDispatch *pSrc)
| Copy from IDispatch.
variant & | operator= (IUnknown *pSrc)
| Copy from IUnknown.
variant & | operator= (unsigned char *pbSrc) noexcept
| Copy from unsigned char reference.
variant & | operator= (short *pnSrc) noexcept
| Copy from short reference.
variant & | operator= (unsigned short *pnSrc) noexcept
| Copy from unsigned short reference.
variant & | operator= (int *pnSrc) noexcept
| Copy from int reference.
variant & | operator= (unsigned int *pnSrc) noexcept
| Copy from unsigned int reference.
variant & | operator= (long *pnSrc) noexcept
| Copy from long reference.
variant & | operator= (unsigned long *pnSrc) noexcept
| Copy from unsigned long reference.
variant & | operator= (long long *pnSrc) noexcept
| Copy from long long reference.
variant & | operator= (unsigned long long *pnSrc) noexcept
| Copy from unsigned long long reference.
variant & | operator= (float *pfSrc) noexcept
| Copy from float reference.
variant & | operator= (double *pfSrc) noexcept
| Copy from double reference.
variant & | operator= (const SAFEARRAY *pSrc)
| Copy from SAFEARRAY.
bool | operator== (const VARIANT &varSrc) const noexcept
| Is variant equal to?
bool | operator!= (const VARIANT &varSrc) const noexcept
| Is variant not equal to?
bool | operator< (const VARIANT &varSrc) const noexcept
| Is variant less than?
bool | operator> (const VARIANT &varSrc) const noexcept
| Is variant greater than?
bool | operator<= (const VARIANT &varSrc) const noexcept
| Is variant less than or equal to?
bool | operator>= (const VARIANT &varSrc) const noexcept
| Is variant greater than or equal to?
HRESULT | change_type (VARTYPE _vt, USHORT wFlags=0) noexcept
| Converts a variant from one type to another.

## Detailed Description

VARIANT struct wrapper.

## Member Function Documentation

## ◆ change_type()

HRESULT winstd::variant::change_type | ( | VARTYPE | _vt,
|  | USHORT | wFlags = 0 )
| inline noexcept

Converts a variant from one type to another.

See also
  VariantChangeType function

## ◆ operator!=()

bool winstd::variant::operator!= | ( | const VARIANT & | varSrc | ) | const
| inline noexcept

Is variant not equal to?

Parameters

  [in] | varSrc | Variant to compare against

Returns
  - Non zero when variant is not equal to `varSrc`;
  - Zero otherwise.

## ◆ operator<()

bool winstd::variant::operator< | ( | const VARIANT & | varSrc | ) | const
| inline noexcept

Is variant less than?

Parameters

  [in] | varSrc | Variant to compare against

Returns
  - Non zero when variant is less than `varSrc`;
  - Zero otherwise.

## ◆ operator<=()

bool winstd::variant::operator<= | ( | const VARIANT & | varSrc | ) | const
| inline noexcept

Is variant less than or equal to?

Parameters

  [in] | varSrc | Variant to compare against

Returns
  - Non zero when variant is less than or equal to `varSrc`;
  - Zero otherwise.

## ◆ operator==()

bool winstd::variant::operator== | ( | const VARIANT & | varSrc | ) | const
| inline noexcept

Is variant equal to?

Parameters

  [in] | varSrc | Variant to compare against

Returns
  - Non zero when variant is equal to `varSrc`;
  - Zero otherwise.

## ◆ operator>()

bool winstd::variant::operator> | ( | const VARIANT & | varSrc | ) | const
| inline noexcept

Is variant greater than?

Parameters

  [in] | varSrc | Variant to compare against

Returns
  - Non zero when variant is greater than `varSrc`;
  - Zero otherwise.

## ◆ operator>=()

bool winstd::variant::operator>= | ( | const VARIANT & | varSrc | ) | const
| inline noexcept

Is variant greater than or equal to?

Parameters

  [in] | varSrc | Variant to compare against

Returns
  - Non zero when variant is greater than or equal to `varSrc`;
  - Zero otherwise.

The documentation for this class was generated from the following file:

- include/WinStd/COM.h